Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Messaging_PolicyValueA.h File Reference

This graph shows which files directly or indirectly include this file:

## Functions
TAO_Export void | operator<<= (CORBA::Any &, const Messaging::PolicyValue &)
TAO_Export void | operator<<= (CORBA::Any &, Messaging::PolicyValue *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, Messaging::PolicyValue *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const Messaging::PolicyValue *&)
TAO_Export void | operator<<= (CORBA::Any &, const Messaging::PolicyValueSeq &)
TAO_Export void | operator<<= (CORBA::Any &, Messaging::PolicyValueSeq *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, Messaging::PolicyValueSeq *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const Messaging::PolicyValueSeq *&)

## Function Documentation

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | Messaging::PolicyValueSeq * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const Messaging::PolicyValueSeq & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | Messaging::PolicyValue * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const Messaging::PolicyValue & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const Messaging::PolicyValueSeq *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | Messaging::PolicyValueSeq *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const Messaging::PolicyValue *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | Messaging::PolicyValue *& |
| ) |